# pydplus
A Python toolset for the RSA ID Plus cloud authentication platform.

<table>
    <tr>
        <td>Latest Stable Release</td>
        <td>
            <a href='https://pypi.org/project/pydplus/'>
                <img alt="PyPI" src="https://img.shields.io/pypi/v/pydplus">
            </a>
        </td>
    </tr>
    <tr>
        <td>Latest Beta/RC Release</td>
        <td>
            <a href='https://pypi.org/project/pydplus/#history'>
                <img alt="PyPI" src="https://img.shields.io/badge/pypi-1.0.0b1-blue">
            </a>
        </td>
    </tr>
    <tr>
        <td>Build Status</td>
        <td>
            <a href="https://github.com/jeffshurtliff/pydplus/blob/main/.github/workflows/python-package.yml">
                <img alt="GitHub Workflow Status" 
                src="https://img.shields.io/github/actions/workflow/status/jeffshurtliff/pydplus/python-package.yml?branch=main">
            </a>
        </td>
    </tr>
    <tr>
        <td>Supported Versions</td>
        <td>
            <a href='https://pypi.org/project/pydplus/'>
                <img alt="PyPI - Python Version" src="https://img.shields.io/pypi/pyversions/pydplus">
            </a>
        </td>
    </tr>
    <!--
    <tr>
        <td>Code Coverage</td>
        <td>
            <a href="https://codecov.io/gh/jeffshurtliff/pydplus">
                <img src="https://codecov.io/gh/jeffshurtliff/pydplus/branch/main/graph/badge.svg" />
            </a>
        </td>
    </tr>
    -->
    <tr>
        <td>Documentation</td>
        <td>
            <a href='https://pydplus.readthedocs.io/en/latest/?badge=latest'>
                <img src='https://readthedocs.org/projects/pydplus/badge/?version=latest' alt='Documentation Status' />
            </a>
        </td>
    </tr>
    <tr>
        <td>Security Audits</td>
        <td>
            <a href="https://github.com/marketplace/actions/python-security-check-using-bandit">
                <img alt="Bandit" src="https://img.shields.io/badge/security-bandit-yellow.svg">
            </a>
        </td>
    </tr>
    <tr>
        <td>License</td>
        <td>
            <a href="https://github.com/jeffshurtliff/pydplus/blob/main/LICENSE">
                <img alt="License (GitHub)" src="https://img.shields.io/github/license/jeffshurtliff/pydplus">
            </a>
        </td>
    </tr>
    <tr>
        <td style="vertical-align: top;">Issues</td>
        <td>
            <a href="https://github.com/jeffshurtliff/pydplus/issues">
                <img style="margin-bottom:5px;" alt="GitHub open issues" src="https://img.shields.io/github/issues-raw/jeffshurtliff/pydplus"><br />
            </a>
            <a href="https://github.com/jeffshurtliff/pydplus/issues">
                <img alt="GitHub closed issues" src="https://img.shields.io/github/issues-closed-raw/jeffshurtliff/pydplus">
            </a>
        </td>
    </tr>
    <tr>
        <td style="vertical-align: top;">Pull Requests</td>
        <td>
            <a href="https://github.com/jeffshurtliff/pydplus/pulls">
                <img style="margin-bottom:5px;" alt="GitHub pull open requests" src="https://img.shields.io/github/issues-pr-raw/jeffshurtliff/pydplus"><br />
            </a>
            <a href="https://github.com/jeffshurtliff/pydplus/pulls">
                <img alt="GitHub closed pull requests" src="https://img.shields.io/github/issues-pr-closed-raw/jeffshurtliff/pydplus">
            </a>
        </td>
    </tr>
</table>

## Installation
The package can be installed via pip using the syntax below.

```sh
pip install pydplus --upgrade
```

You may also clone the repository and install from source using below.

```sh
git clone git://github.com/jeffshurtliff/pydplus.git
cd pydplus/
python setup.py install
```

## Change Log
The change log can be found in the [documentation](https://pydplus.readthedocs.io/en/latest/changelog.html).

## Usage
This section provides basic usage instructions for the package.

_Coming Soon..._

## Documentation
The documentation is located here: [https://pydplus.readthedocs.io/en/latest/](https://pydplus.readthedocs.io/en/latest/)

## License
[MIT License](https://github.com/jeffshurtliff/pydplus/blob/main/LICENSE)

## Reporting Issues
Issues can be reported within the [GitHub repository](https://github.com/jeffshurtliff/pydplus/issues).

## Donations
If you would like to donate to this project then you can do so using [this PayPal link](https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=XDZ8M6UV6EFK6&item_name=PyDPlus+Python+SDK&currency_code=USD).

## Disclaimer
This package is considered unofficial and is in no way endorsed or supported by [RSA Security LLC](https://rsa.com).
